1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Install libXpm help

Discussion in 'General Discussion' started by PHASE(1) MEDIA, Nov 30, 2004.

  1. PHASE(1) MEDIA

    PHASE(1) MEDIA New Member

    Joined:
    Jul 18, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    I'm trying to recompile PHP w/ GD2 installed, but I'm getting the following error in easyapache:

    configure php-4.3.9...(--with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-mcrypt --enable-magic-quotes --with-mysql --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --enable-versioning --with-zlib)...............Done
    configure: error: libXpm.(a|so) not found.

    How can I get libXpm installed? I already tried re-installing the XFree86-libs RPM in WHM.

    Usiing Fedore Core 1 w/ WHM/Cpanel

    I've downloaded libXpm-4.3.99.903-2.i686.rpm, but I don't know the correct way to install this.

    Please help.

    Thanks.
     
  2. linux-image

    linux-image Active Member

    Joined:
    Jun 8, 2004
    Messages:
    1,194
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
    do an upcp and then try.
     
  3. PHASE(1) MEDIA

    PHASE(1) MEDIA New Member

    Joined:
    Jul 18, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Still says the same thing... :(
     
  4. linux-image

    linux-image Active Member

    Joined:
    Jun 8, 2004
    Messages:
    1,194
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
  5. PHASE(1) MEDIA

    PHASE(1) MEDIA New Member

    Joined:
    Jul 18, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Okay well the lipXpm has been installed successfully, but now I'm getting this earror when I ran easyApache again:

    make php-4.3.9........................................................................................................................................Done
    make: *** [sapi/cli/php] Error 1
    make php-4.3.9...(install).....Done
    make: *** [sapi/cli/php] Error 1
    /etc/rc.d/init.d/httpd start: httpd started
    configure php-4.3.9...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-mcrypt --enable-magic-quotes --with-mysql --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --enable-versioning --with-zlib)........................Done
    make php-4.3.9...(clean)....Done
    make php-4.3.9.....................................................................................................Done
    make: *** [sapi/cgi/php] Error 1
    make php-4.3.9...(install).....Done
    make: *** [sapi/cgi/php] Error 1

    What can I do now?

    Thanks :)
     
  6. linux-image

    linux-image Active Member

    Joined:
    Jun 8, 2004
    Messages:
    1,194
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
    It seems you don't have pdflib (from http://www.pdflib.com/) installed.

    try without "-with-pdflib" or install it

    btw; please get me on IM; the address is on my signature.
     

Share This Page